Subject: Re: Xilinx cygwin linux cross recommendations ?

From: Gary Thomas <[email-masked]>
Date: Fri, 20 Mar 2009 05:17:46 -0600

David H. Lynch Jr. wrote:
>     I have no experience with ELDK.
>     Have you used it ? Do you like it ?
> 
>     When I started I mostly did a roll my own environment using crosstool.
>     I would have stuck to that except I can not get uclibc and it has
> not been updated in a long time.
>     Crosstool-ng did not support the ppc last time I looked.

Look again - PowerPC is quite well supported by CrossTool-ng

>     Today I use buildroot - mostly just to build a toolchain - I have
> never been able to get it to do many of the other things it is capable of.
> 
>     I am not particularly fond (serious understatement)  of "integrated
> solve all the problems of the world" environments, they rarely work, and
> you must think inside their box.
>    
>     I would be ecstatic with just a cygwin-linux-ppc-uclibc tool chain.
> 

Why not just skip the torture (CygWin) and just run a virtual machine
on Windows [I assume you _have_ to have Windows].  Both VM-Ware and VirtualBox
handle this problem beautifully.  Then you have *Linux* for your development
environment, not some cobbled set of pieces...

> 
> Grant Likely wrote:
>> On Thu, Mar 19, 2009 at 5:59 PM, David H. Lynch Jr. <[email-masked]> wrote:
>>   
>>>    Does anyone have experience sugestions for building ppc/linux apps
>>> or even ppc kernels under windows.
>>>     
>> I hear rumors that there is a Windows version of ELDK.
>>
>>   
> 
> 

-- 
------------------------------------------------------------
Gary Thomas                 |  Consulting for the
MLB Associates              |    Embedded world
------------------------------------------------------------